# Breach Watch Report Command

### Breach Watch Report

This command/function runs a BreachWatch security report for all users in your enterprise.

<details>

<summary>DotNet CLI</summary>

**Command:** `breachwatch-report`

It runs a Breach Watch security report for all users in your enterprise.

**Parameter:**

`--format` - Display the report in these formats json, table, csv

`--output` - Store the output in a file.

**Examples:**

```sh
My Vault> breachwatch-report --format csv --output breachwatch_report.csv
```

</details>

<details>

<summary>DotNet SDK</summary>

Comming Soon

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Get-KeeperBreachWatchReport`

It runs a Breach Watch security report for all users in your enterprise.

**Parameter:**

`-Format` - Display the report in these formats json, table, csv

`-Output` - Store the output in a file.

**Examples:**

```powershell
PS> Get-KeeperBreachWatchReport -Format json

Security scores pushed to Keeper.
[
  {
    "email": "test@example.com",
    "name": "test",
    "sync_pending": "",
    "at_risk": 170,
    "passed": 1446,
    "ignored": 0
  },
  {
    "email": "test+qa@example.com",
    "name": "testqa",
    "sync_pending": "",
    "at_risk": 4,
    "passed": 0,
    "ignored": 0
  },
]
```

</details>

<details>

<summary>Python CLI</summary>

**Command:** `breach-watch report`

**Flag:**

`--format` : format of output {table,csv,json,pdf}.\
`--output` : path to resulting output file (ignored for "table" format).<br>

**Example:**

```
My Vault> breachwatch report
Generating BreachWatch security audit report...
Saved 31 updated security report(s).

Security Audit Report (BreachWatch)

Email                              Name                   Sync Pending      At Risk    Passed    Ignored
---------------------------------  ---------------------  --------------  ---------  --------  ---------
b.n@keepersecurity.com         b.ranjan                                   0        -4          0
m.i@keepersecurity.com          M.Naqvi                                   0         0          0
a.h@keepersecurity.com       A.Deshmukh      
```

</details>

<details>

<summary>Python SDK</summary>

**Function:**

```python
def run_breachwatch_report(
    enterprise_data: enterprise_types.IEnterpriseData,
    auth: keeper_auth.KeeperAuth,
    node_ids: Optional[List[int]] = None,
    save_report: bool = True,
) -> BreachWatchReportResult:
    generator = BreachWatchReportGenerator(
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/reporting-commands/breach-watch-report-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
